Package com.independentsoft.office.word.numbering

# Enum Class MultiLevelType

java.lang.Object
java.lang.Enum<MultiLevelType>
com.independentsoft.office.word.numbering.MultiLevelType

All Implemented Interfaces:
  `Serializable`, `Comparable<MultiLevelType>`, `Constable`

public enum MultiLevelType extends Enum<MultiLevelType>
The Enum MultiLevelType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HYBRID_MULTI_LEVEL`
  `MULTI_LEVEL`
  `NONE`
  `SINGLE_LEVEL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MultiLevelType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static MultiLevelType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HYBRID_MULTI_LEVEL

    public static final MultiLevelType HYBRID_MULTI_LEVEL

  - ### MULTI_LEVEL

    public static final MultiLevelType MULTI_LEVEL

  - ### SINGLE_LEVEL

    public static final MultiLevelType SINGLE_LEVEL

  - ### NONE

    public static final MultiLevelType NONE

- ## Method Details

  - ### values

    public static MultiLevelType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MultiLevelType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null